# class NilClass

require facet classes here (prior to overrides), and ensure smooth integration with overrides.

### dup and clone support for Fixnum, `Integer`, `Float`, (and BigDecimal at some point) : don't even bother to tell me I gain nothing – I've heard this before.

### Public Instance Methods

clone() click to toggle source

    # File lib/gxg/gxg_augmented.rb, line 44
    def clone()
      initialize_clone
    end

dup()
Alias for: initialize_clone
initialize_clone() click to toggle source

    # File lib/gxg/gxg_augmented.rb, line 39
    def initialize_clone
      nil
    end

Also aliased as: initialize_dup, dup
initialize_dup()
Alias for: initialize_clone